# ParameterizedTypeMatcher

data class ParameterizedTypeMatcher (val rawType: Class <*>, val arguments: List < TypeMatcher >) : TypeMatcher

A TypeMatcher that matches a parameterized type.

#### Parameters

rawType

the raw type of the parameterized type.

arguments

the TypeMatchers for the type arguments of the parameterized type.

#### See also

ParameterizedType.getRawType
ParameterizedType.getActualTypeArguments

## Constructors

ParameterizedTypeMatcher
Link copied to clipboard
constructor(rawType: Class <*>, arguments: List < TypeMatcher >)

## Properties

arguments
Link copied to clipboard
val arguments : List < TypeMatcher >
rawType
Link copied to clipboard
val rawType : Class <*>

## Functions

asGenericArray
Link copied to clipboard
fun TypeMatcher . asGenericArray (): GenericArrayTypeMatcher

Creates a GenericArrayTypeMatcher from TypeMatcher.

matches
Link copied to clipboard
open override fun matches (type: Type ): Boolean

Check if the type matches the given type.